Get ad performance
curl --request GET \
--url https://api.datalyr.com/v1/ads \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.datalyr.com/v1/ads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datalyr.com/v1/ads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Attribution and revenue
Get ad performance
GET
/
ads
Get ad performance
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Inclusive ISO 8601 start date.
Inclusive ISO 8601 end date.
Available options:
meta, google, tiktok Entity grain. group is the canonical middle level across every platform. adset (Meta) and adgroup (Google, TikTok) are accepted as aliases for group and canonicalize to it in the response.
Available options:
campaign, group, ad Required range:
1 <= x <= 200Response
200 - application/json
Successful response.
The response is of type object.
Was this page helpful?